/** Environment variables providing connection configuration defaults.
 *
 *  See {@link https://www.postgresql.org/docs/current/libpq-envars.html} for a detailed description.
 */
export interface Environment {
    PGCLIENTENCODING: string;
    PGCONNECT_TIMEOUT: string;
    PGDATABASE: string;
    PGHOST: string;
    PGPASSWORD: string;
    PGPORT: string;
    PGSSLMODE: string;
    PGUSER: string;
}
export declare class Defaults {
    readonly host: string;
    readonly port: number;
    readonly user: string;
    readonly database: string;
    readonly password: string;
    readonly preparedStatementPrefix: string;
    readonly sslMode: string;
    readonly connectionTimeout: number | undefined;
    readonly clientEncoding: string;
    constructor(env: Environment, host?: string, port?: number, user?: string, database?: string, password?: string, preparedStatementPrefix?: string, sslMode?: string, connectionTimeout?: number | undefined, clientEncoding?: string);
}
